import globals from "globals";
import pluginJs from "@eslint/js";
import prettierRecommended from 'eslint-plugin-prettier/recommended';

export default [
  {languageOptions: { globals: {...globals.browser, ...globals.node} }},
  pluginJs.configs.recommended,
  prettierRecommended,
  {
    rules: {
      'prettier/prettier': [
        'error',
        {
          trailingComma: 'none',
          arrowParens: 'avoid',
          tabWidth: 2,
          printWidth: 80,
          useTabs: false,
          semi: true,
          singleQuote: true
        }
      ]
    }
  }
];
