import { virtual } from 'haunted';
import { html } from 'lit-html';
import { svg as getSvg } from './_lib/svg.js';
import svgIcons from './icons.js';

export const Icon = virtual(({ icon = null, extraClasses = '' }) => {
  return html`
    <div class="myth-icon ${extraClasses}">
      ${getSvg({ svg: svgIcons[icon] })}
    </div>
  `;
});
