import { virtual } from 'haunted';
import { html } from 'lit-html';
import { CoverFallback } from '../../cover-fallback';
import { getCover } from '../../../_lib/get-cover';

export const ShowCover = virtual(({ cover }) => {
  return html`
    <div class="myth-playlist__item-block myth-playlist__item-image">
      ${cover
        ? html`<img src="${getCover(cover)}" alt="" aria-hidden="true" />`
        : CoverFallback({ isInFileItem: true })}
    </div>
  `;
});
