import { virtual } from 'haunted';
import { html, nothing } from 'lit-html';

export const TrackText = virtual(({ artist, album, title }) => {
  return html`
    <div class="myth-track-text">
      <div class="myth-item-text">${title}</div>
      <div class="myth-item-text size-small">
        ${artist ? html`<span>${artist}</span>` : nothing}
        ${artist && album ? html`<span> / </span>` : nothing}
        ${album ? html`<span>${album}</span>` : nothing}
      </div>
    </div>
  `;
});
