// https://en.wikipedia.org/wiki/Luma_(video)
const calculateLuminance = p => {
  return 0.2126 * p.r + 0.7152 * p.g + 0.0722 * p.b;
};
export const orderByLuminance = rgbValues => {
  return rgbValues.sort((p1, p2) => {
    return calculateLuminance(p2) - calculateLuminance(p1);
  });
};
